Skip to content
Start here

Update CMB config

logs.control.cmb.config.create(ConfigCreateParams**kwargs) -> CmbConfig
POST/accounts/{account_id}/logs/control/cmb/config

Updates CMB config.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Logs Write
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
allow_out_of_region_access: Optional[bool]

Allow out of region access

regions: Optional[str]

Name of the region.

maxLength256
ReturnsExpand Collapse
class CmbConfig:
allow_out_of_region_access: Optional[bool]

Allow out of region access

regions: Optional[str]

Name of the region.

maxLength256

Update CMB config

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
cmb_config = client.logs.control.cmb.config.create(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(cmb_config.allow_out_of_region_access)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "allow_out_of_region_access": false,
    "regions": "eu"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "allow_out_of_region_access": false,
    "regions": "eu"
  }
}